Option List for jQuery and jQuery Mobile

Updated on May 17, 2021

jQuery Option List Option List for jQuery and jQuery Mobile

Option List - Settings

Change demo
Settings
JQuery Horizontally scrollable option list for turning settings on and off. Use it with icons and labels. For jQuery or jQuery Mobile.
Copy code

Option List - Scroll options

Change demo
Scroll options
JQuery Horizontally scrollable option list demo for activating settings or actions. Example using icons only. For jQuery or jQuery Mobile.
Copy code
$(function () {
    $('#demo').mobiscroll().optionlist({
        lang: ' ',
        theme: ' ',
        themeVariant: ' ',
        display: 'top',
        select: 'off',
        layout: 'fixed',
        itemWidth: 83,
        snap: false,
        onItemTap: function (event, inst) {
            mobiscroll.toast({
                message: event.target.getAttribute('data-text')
            });
        }
    })
})
<div class="md-pic-edit">

    <ul id="demo" class="mbsc-cloak">
        <li data-icon="material-crop" data-text="Crop"></li>
        <li data-icon="material-brightness-medium" data-text="Brightness"></li>
        <li data-icon="material-rotate-right" data-text="Rotate"></li>
        <li data-icon="material-filter" data-text="Filter"></li>
        <li data-icon="material-palette" data-text="Paint"></li>
        <li data-icon="material-iso" data-text="ISO"></li>
        <li data-icon="material-wb-auto" data-text="Auto color"></li>
        <li data-icon="material-photo-size-select-large" data-text="Resize"></li>
        <li data-icon="material-texture" data-text="Texture"></li>
    </ul>


    <div class="md-pic-overlay"></div>

</div>
/* pic */

.md-pic-edit .md-pic-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url('/Content/img/photo_edit.png');
    background-repeat: no-repeat;
    background-size: cover;
    background-origin: content-box;
}

Option List - Single/multiple select

Change demo
Single/multiple select
JQuery Option list demo with single select and multiple select examples. Use it with a fixed with or scrollable list. For jQuery or jQuery Mobile.
Copy code

Option List - Event handlers

Change demo
Event handlers
JQuery Horizontally scrollable option list with event hooks for custom integration and functionality. With source code. For jQuery or jQuery Mobile.
Clear event log
EVENTS FIRED: 
Copy code

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos

Option List for React

Updated on May 17, 2021

React Option List Option List for React

Option List - Settings

Change demo
Settings
React Horizontally scrollable option list for turning settings on and off. Use it with icons and labels. For React and Next.JS.
Copy code

Option List - Scroll options

Change demo
Scroll options
React Horizontally scrollable option list demo for activating settings or actions. Example using icons only. For React and Next.JS.
Copy code
import mobiscroll from '@mobiscroll/react';
import '@mobiscroll/react/dist/css/mobiscroll.min.css';

class App extends React.Component {
    onItemTap = (event, inst) => {
        mobiscroll.toast({
            message: event.target.getAttribute('data-id')
        });
    }
    render() {
        return (
            <div className="md-pic-edit">
                <mobiscroll.Optionlist 
                    lang=" "
                    theme=" " 
                    themeVariant=" "
                    display="top"
                    select="off"
                    layout="fixed"
                    itemWidth={83}
                    onItemTap={this.onItemTap}
                >
                    <mobiscroll.OptionItem icon="material-crop" id="Crop"></mobiscroll.OptionItem>
                    <mobiscroll.OptionItem icon="material-brightness-medium" id="Brightness"></mobiscroll.OptionItem>
                    <mobiscroll.OptionItem icon="material-rotate-right" id="Rotate"></mobiscroll.OptionItem>
                    <mobiscroll.OptionItem icon="material-filter" id="Filter"></mobiscroll.OptionItem>
                    <mobiscroll.OptionItem icon="material-palette" id="Paint"></mobiscroll.OptionItem>
                    <mobiscroll.OptionItem icon="material-iso" id="ISO"></mobiscroll.OptionItem>
                    <mobiscroll.OptionItem icon="material-wb-auto" id="Auto color"></mobiscroll.OptionItem>
                    <mobiscroll.OptionItem icon="material-photo-size-select-large" id="Resize"></mobiscroll.OptionItem>
                    <mobiscroll.OptionItem icon="material-texture" id="Texture"></mobiscroll.OptionItem>
                </mobiscroll.Optionlist>
                <div className="md-pic-overlay"></div>
            </div>
        );
    }
}

<div id="content"></div>
/* pic */

.md-pic-edit .md-pic-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url('/Content/img/photo_edit.png');
    background-repeat: no-repeat;
    background-size: cover;
    background-origin: content-box;
}

Option List - Single/multiple select

Change demo
Single/multiple select
React Option list demo with single select and multiple select examples. Use it with a fixed with or scrollable list. For React and Next.JS.
Copy code

Option List - Event handlers

Change demo
Event handlers
React Horizontally scrollable option list with event hooks for custom integration and functionality. With source code. For React and Next.JS.
Clear event log
EVENTS FIRED: 
Copy code

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos

Option List for Angular and Ionic Framework

Updated on May 17, 2021

Angular and Ionic Option List Option List for Angular and Ionic Framework

Option List - Settings

Change demo
Settings
Angular Horizontally scrollable option list for turning settings on and off. Use it with icons and labels. For Angular 22 and Ionic 8.
Copy code

Option List - Scroll options

Change demo
Scroll options
Angular Horizontally scrollable option list demo for activating settings or actions. Example using icons only. For Angular 22 and Ionic 8.
Copy code
import { Component } from '@angular/core';
import { mobiscroll, MbscOptionlistOptions } from '@mobiscroll/angular';

@Component({
    selector: 'app-root',
    templateUrl: './app.component.html'
})
export class AppComponent {
    settings: MbscOptionlistOptions = {
        lang: ' ',
        theme: ' ',
        themeVariant: ' ',
        display: 'top',
        select: 'off',
        layout: 'fixed',
        itemWidth: 83,
        onItemTap: (event, inst) => {
            mobiscroll.toast({
                message: event.target.getAttribute('data-text')
            });
        }
    };
}
<div class="md-pic-edit">
    <mbsc-optionlist [options]="settings">
        <mbsc-option-item icon="material-crop" data-text="Crop"></mbsc-option-item>
        <mbsc-option-item icon="material-brightness-medium" data-text="Brightness"></mbsc-option-item>
        <mbsc-option-item icon="material-rotate-right" data-text="Rotate"></mbsc-option-item>
        <mbsc-option-item icon="material-filter" data-text="Filter"></mbsc-option-item>
        <mbsc-option-item icon="material-palette" data-text="Paint"></mbsc-option-item>
        <mbsc-option-item icon="material-iso" data-text="ISO"></mbsc-option-item>
        <mbsc-option-item icon="material-wb-auto" data-text="Auto color"></mbsc-option-item>
        <mbsc-option-item icon="material-photo-size-select-large" data-text="Resize"></mbsc-option-item>
        <mbsc-option-item icon="material-texture" data-text="Texture"></mbsc-option-item>
    </mbsc-optionlist>
    <div class="md-pic-overlay"></div>
</div>
/* pic */

.md-pic-edit .md-pic-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url('/Content/img/photo_edit.png');
    background-repeat: no-repeat;
    background-size: cover;
    background-origin: content-box;
}
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    MbscModule,
    FormsModule,
    ReactiveFormsModule,
    HttpClientModule,
    HttpClientJsonpModule
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }

Option List - Single/multiple select

Change demo
Single/multiple select
Angular Option list demo with single select and multiple select examples. Use it with a fixed with or scrollable list. For Angular 22 and Ionic 8.
Copy code

Option List - Event handlers

Change demo
Event handlers
Angular Horizontally scrollable option list with event hooks for custom integration and functionality. With source code. For Angular 22 and Ionic 8.
Clear event log
EVENTS FIRED: 
Copy code

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos